From 8efe7e595ff58e1798273a083168688d8c0a5a9c Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat.oss@gmail.com>
Date: Wed, 1 Jan 2025 14:02:28 +0530
Subject: [PATCH v14 08/15] Document fixes

Assorted grammar and typo fixes.

Author: Junwang Zhou
Reviewed with minor adjustments by: Ashutosh Bapat
---
 doc/src/sgml/ddl.sgml                       |  4 ++--
 doc/src/sgml/information_schema.sgml        | 18 +++++++++---------
 doc/src/sgml/ref/alter_property_graph.sgml  |  2 +-
 doc/src/sgml/ref/create_property_graph.sgml |  2 +-
 doc/src/sgml/ref/drop_property_graph.sgml   |  2 +-
 5 files changed, 14 insertions(+), 14 deletions(-)

diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 32cf474a609..6e516e7d46f 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -5452,7 +5452,7 @@ CREATE PROPERTY GRAPH myshop
    This graph could then be queried like this:
 <programlisting>
 -- get list of customers active today
-SELECT customer_name FROM GRAPH_TABLE (myshop MATCH (c IS customers)-[IS customer_orders]->(o IS orders WHERE ordered_when = current_date) COLUMNS (c.name AS customer_name));
+SELECT customer_name FROM GRAPH_TABLE (myshop MATCH (c IS customers)-[IS customer_orders]->(o IS orders WHERE o.ordered_when = current_date) COLUMNS (c.name AS customer_name));
 </programlisting>
    corresponding approximately to this relational query:
 <programlisting>
@@ -5516,7 +5516,7 @@ CREATE PROPERTY GRAPH myshop
   <para>
    With this definition, we can write a query like this:
 <programlisting>
-SELECT customer_name FROM GRAPH_TABLE (myshop MATCH (c:customer)-[:has]->(o:order WHERE ordered_when = current_date) COLUMNS (c.name AS customer_name));
+SELECT customer_name FROM GRAPH_TABLE (myshop MATCH (c:customer)-[:has]->(o:order WHERE o.ordered_when = current_date) COLUMNS (c.name AS customer_name));
 </programlisting>
    With the new labels and using the colon instead of <literal>IS</literal>,
    which are equivalent, the <literal>MATCH</literal> clause is now more
diff --git a/doc/src/sgml/information_schema.sgml b/doc/src/sgml/information_schema.sgml
index e6561543f62..59b956e5807 100644
--- a/doc/src/sgml/information_schema.sgml
+++ b/doc/src/sgml/information_schema.sgml
@@ -4227,7 +4227,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4346,7 +4346,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4430,7 +4430,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4505,7 +4505,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4589,7 +4589,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4700,7 +4700,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4774,7 +4774,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -4839,7 +4839,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
 
@@ -5255,7 +5255,7 @@ ORDER BY c.ordinal_position;
        <structfield>property_graph_name</structfield> <type>sql_identifier</type>
       </para>
       <para>
-       Name of the property_graph
+       Name of the property graph
       </para></entry>
      </row>
     </tbody>
diff --git a/doc/src/sgml/ref/alter_property_graph.sgml b/doc/src/sgml/ref/alter_property_graph.sgml
index 604c5180117..4ae53deb092 100644
--- a/doc/src/sgml/ref/alter_property_graph.sgml
+++ b/doc/src/sgml/ref/alter_property_graph.sgml
@@ -99,7 +99,7 @@ ALTER PROPERTY GRAPH [ IF EXISTS ] <replaceable class="parameter">name</replacea
      <term><literal>ALTER {VERTEX|NODE|EDGE|RELATIONSHIP} TABLE ... DROP LABEL</literal></term>
      <listitem>
       <para>
-       This form removes a new label from an existing vertex or edge table.
+       This form removes a label from an existing vertex or edge table.
       </para>
      </listitem>
     </varlistentry>
diff --git a/doc/src/sgml/ref/create_property_graph.sgml b/doc/src/sgml/ref/create_property_graph.sgml
index ae301b52e0a..76bfef317af 100644
--- a/doc/src/sgml/ref/create_property_graph.sgml
+++ b/doc/src/sgml/ref/create_property_graph.sgml
@@ -151,7 +151,7 @@ CREATE [ TEMP | TEMPORARY ] PROPERTY GRAPH <replaceable class="parameter">name</
     <listitem>
      <para>
       The vertex tables that the edge table is linked to.  These refer to the
-      aliases of a the vertex table.
+      aliases of the source and destination vertex tables respectively.
      </para>
     </listitem>
    </varlistentry>
diff --git a/doc/src/sgml/ref/drop_property_graph.sgml b/doc/src/sgml/ref/drop_property_graph.sgml
index 31cb77a2af1..e16de5507b1 100644
--- a/doc/src/sgml/ref/drop_property_graph.sgml
+++ b/doc/src/sgml/ref/drop_property_graph.sgml
@@ -96,7 +96,7 @@ DROP PROPERTY GRAPH g1;
    <command>DROP PROPERTY GRAPH</command> conforms to ISO/IEC 9075-16
    (SQL/PGQ), except that the standard only allows one property graph to be
    dropped per command, and apart from the <literal>IF EXISTS</literal>
-   option, which is a <productname>PostgreSQL</productname> extension..
+   option, which is a <productname>PostgreSQL</productname> extension.
   </para>
  </refsect1>
 
-- 
2.39.5

